[P063]Patent intelligent attached image

post
https://connect.patsnap.com/search/patent/intelligent-attached-image
Try in Sandbox

Receive patent intelligent attached image data by patent_id.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
lang
Required
stringcn
language(cn/en)
patent_id
string8d83d36c-02d4-411c-8912-21fa3272abff
Patent Id
pn
stringCN111719991A
Patent Number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
patent_id
string1a47a70d-6b54-4709-a72a-ed552781fcac
Patent ID
pdf_images
array[ { "parts": [ { "x1": 128, "x2": 147, "y1": 956, "y2": 980, "code": "52", "representive_label_txt": "person" } ], "patent_id": "8d83d36c-02d4-411c-8912-21fa3272abff", "storage_path": "https://data-fulltext-image.zhihuiya.com/CN/A/11/17/19/99/1/HDA0002418999840000011.png", "fig_title_code": "1" } ]
PDF Image Information
parts
array[ { "x1": 128, "x2": 147, "y1": 956, "y2": 980, "code": "52", "representive_label_txt": "person" } ]
intelligent figure information
x1
integer<int32>1549
top-left X coordinate
x2
integer<int32>1569
bottom-right X coordinate
y1
integer<int32>1207
top-left Y coordinate
y2
integer<int32>1250
bottom-right Y coordinate
code
string14
code
representive_label_txt
stringβ微管蛋白序列
representative label text
patent_id
string8d83d36c-02d4-411c-8912-21fa3272abff
patent ID
storage_path
stringhttps://data-fulltext-image.zhihuiya.com/CN/A/11/17/19/99/1/HDA0002418999840000011.png
storage path
fig_title_code
string1
figure title code
patent_images
array[ { "parts": [ { "x1": 128, "x2": 147, "y1": 956, "y2": 980, "code": "52", "representive_label_txt": "person" } ], "storage_path": "https://data-fulltext-image.zhihuiya.com/CN/A/11/17/19/99/1/HDA0002418999840000011.png" } ]
Patent Image Information
parts
array[ { "x1": 128, "x2": 147, "y1": 956, "y2": 980, "code": "52", "representive_label_txt": "person" } ]
intelligent figure information
storage_path
stringhttps://data-fulltext-image.zhihuiya.com/CN/A/11/17/19/99/1/HDA0002418999840000011.png
storage path
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "patent_id": "1a47a70d-6b54-4709-a72a-ed552781fcac",
    "pdf_images": [
      {
        "parts": [
          {
            "x1": 1549,
            "x2": 1569,
            "y1": 1207,
            "y2": 1250,
            "code": 14,
            "representive_label_txt": "β微管蛋白序列"
          }
        ],
        "patent_id": "8d83d36c-02d4-411c-8912-21fa3272abff",
        "storage_path": "https://data-fulltext-image.zhihuiya.com/CN/A/11/17/19/99/1/HDA0002418999840000011.png",
        "fig_title_code": 1
      }
    ],
    "patent_images": [
      {
        "parts": [
          {
            "x1": 1549,
            "x2": 1569,
            "y1": 1207,
            "y2": 1250,
            "code": 14,
            "representive_label_txt": "β微管蛋白序列"
          }
        ],
        "storage_path": "https://data-fulltext-image.zhihuiya.com/CN/A/11/17/19/99/1/HDA0002418999840000011.png"
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms